Bug 534364 - (RHQ-1168) make hibernate.jsp work for insert / update / delete statements
make hibernate.jsp work for insert / update / delete statements
Status: CLOSED NEXTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
unspecified
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: Joseph Marques
Jeff Weiss
http://jira.rhq-project.org/browse/RH...
: Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-22 16:01 EST by Joseph Marques
Modified: 2014-11-09 17:48 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.2
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joseph Marques 2008-11-22 16:01:00 EST
want this as a convenience for testing new insert / update / delete JPQL without having to compile / deploy constantly to perfect queries.
Comment 1 Joseph Marques 2008-11-22 16:02:40 EST
rev2086 -hibernate.jsp supports insert / update / delete JPQL; 
query translation is not shown, but it will validate correctness and show the number of affected rows; 
Comment 2 Jeff Weiss 2009-02-09 13:15:06 EST
/admin/test/hibernate.jsp, put in "Alert.deleteByCTime" for the "Named Query"
 then translate, entered 0,0 for begin/end, and executed.

got: "Executed in 1ms. Found or updated 0 rows. 1 round trips. "

rev2894
Comment 3 Red Hat Bugzilla 2009-11-10 15:27:12 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-1168

Note You need to log in before you can comment on or make changes to this bug.